/*  Copyright (C) MOXA Inc. All rights reserved.

    This software is distributed under the terms of the
    MOXA License.  See the file COPYING-MOXA for details.
*/

#include "stdafx.h"
#include <windows.h>
#include <commctrl.h>
#include "mxgpio.h"

/*
	index[n]: 0  ; BIT 0
			  1  ; BIT 1
	          2  ; BIT 2
	          3  ; BIT 3
			  ....
	data[n]: 0  ; Digital LOW
	         1  ; Digital HIGH
	         
*/

#define LED_PORT_NUMBER 8
#define BIT_INDEX_LED	0



int _tmain(int argc, _TCHAR* argv[])
{
	HANDLE	hGPIO;
	int port_no;
	int data;
	int	nLED = 0;
	int	nRet = 0;
	int port = 0, mode = 0;
	int n = 0;

	WCHAR sin;
	printf("LED Test Program\n");
    printf("\t (0) Exit Program\n");
    printf("\t (1) Display LED\n");
    printf("\t (2) Set LED value\n");
	
	sin = getwchar();
	n = _wtoi(&sin);
	
	do
    {
        switch (n)
        {
            // if char == '1', display the digital input
            case 1:
				//Open dio
				hGPIO = mxgpio_open();

				for(int i=0; i<LED_PORT_NUMBER; i++)
				{
					//Get digital input
					port_no = i;
					nLED = mxgpio_get_data(hGPIO, port_no);
					printf("LED[%d] = %d\n",port_no,nLED);
				}

				//Close LED
                mxgpio_close(hGPIO);
                break;

		
            // if char == '3', Set the digital output
            case 2:
             
				/* Get Port Number */
				printf("Input the Port Number (0 ~ %d) = \n",LED_PORT_NUMBER-1);
				scanf("%d", &port_no);
			
				/* Get Value */
              printf("Input the value (0 or 1) = ");
				scanf("%d", &data);
		
				/* Open LED */
				hGPIO = mxgpio_open();
				
				/* Set LED */
				nRet = mxgpio_set_data(hGPIO,port_no,data);
				
				if(nRet==-1)
				{
					printf("Set led signal fail!\n");
				}
				else
				{
					printf("Set led signal success!\n");
				}

				/* Close GPIO */
				mxgpio_close(hGPIO);
                break;
        }
		getwchar();
       sin = getwchar();
       n = _wtoi(&sin);
    } while (n != 0);

	return 0;
}

